﻿using System;

namespace MyStack
{
    class Program
    {
        static void Main(string[] args)
        {
            MyStack myStack = new MyStack();

            try
            {
                myStack.Push(5);
                myStack.Push(4);
                Console.WriteLine(myStack.Pop());
                Console.WriteLine(myStack.Pop());
                Console.WriteLine(myStack.Pop());
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                Console.WriteLine();
                Console.WriteLine(e.InnerException.Message);
                Console.WriteLine();
                Console.WriteLine(e.StackTrace);
                Console.WriteLine();
                Console.WriteLine(e.InnerException.StackTrace);
                Console.WriteLine();
                Console.WriteLine(e.Source);
                Console.WriteLine();
                Console.WriteLine(e.GetType());

            }
           
         
        }
    }
}
