﻿using System;
using MyStack;
using WolfPack;

namespace MyStackGeneric
{
    class Program
    {
        static void Main(string[] args)
        {
            MyStack<int> myIntStack = new MyStack<int>(2);

            myIntStack.Push(5);
            Console.WriteLine(myIntStack.Pop());
            Console.WriteLine();

            try
            {
                myIntStack.Push(1);
                myIntStack.Push(2);
                myIntStack.Push(3);

            }
            catch (MyStackIfFullException e)
            {
                Console.WriteLine(e.Message);
            }

            try
            {
                Console.WriteLine(myIntStack.Pop());
                Console.WriteLine(myIntStack.Pop());
                Console.WriteLine(myIntStack.Pop());
               
            }
            catch (MyStackIsEmptyException e)
            {
                Console.WriteLine(e.Message);
                Console.WriteLine();
            }




            MyStack<string> myStringStack = new MyStack<string>(2);

            myStringStack.Push("Dette er en streng");
            Console.WriteLine(myStringStack.Pop());
            Console.WriteLine();

            MyStack<Wolf> myWolfStack = new MyStack<Wolf>(2);

            myWolfStack.Push(new Wolf("Lille Stygge Ulv", "male"));
            Console.WriteLine(myWolfStack.Pop());
        }
    }
}
